package domain

import (
	domain "github.com/haydenhargreaves/Potion/internal/domain/user"
)

type AuthService interface {
	GetGoogleAuthUrl() string
	GoogleAuthSuccess(state, code string) (string, domain.User, domain.GoogleUserInfo, error)
}
